java.lang.NullPointerException


#21

Hi all. I am facing an issue while capturing objects in android device. Can someone help me please



#22

Hi all,

Please use Appium 1.8 in this case. Installation command is:
npm install -g appium@1.8.1.

Appium 1.9 is not supported , that’s why there are errors like that.


#23

thank you all
this is very2 helpfull for me
i hope you never bored to help us


#24

Hi @Vinh Nguyen, I think this problem appears again in katalon 5.7.1


#25

No this is a problem using Appium 1.9, just use Appium 1.8.1 and it will be fine for now


#26

Ohh nice

Can you help me for the same problem please,
before, my script runnning as well, and now there is error releted with above

Test

TesCases/GETCRAFT/Register_Client FAILED because (of) (Stack trace: com.kms.katalon.core.exception.StepFailedException: Unable to click on object ‘Object Repository/GETCRAFT/register/link_verifikasi’ (Root cause: java.lang.NullPointerException)
at com.kms.katalon.core.keyword.internal.KeywordMain.stepFailed(KeywordMain.groovy:36)
at com.kms.katalon.core.webui.keyword.internal.WebUIKeywordMain.stepFailed(WebUIKeywordMain.groovy:65)
at com.kms.katalon.core.webui.keyword.internal.WebUIKeywordMain.runKeyword(WebUIKeywordMain.groovy:27)
at com.kms.katalon.core.webui.keyword.builtin.ClickKeyword.click(ClickKeyword.groovy:86)
at com.kms.katalon.core.webui.keyword.builtin.ClickKeyword.execute(ClickKeyword.groovy:67)
at com.kms.katalon.core.keyword.internal.KeywordExecutor.executeKeywordForPlatform(KeywordExecutor.groovy:53)
at com.kms.katalon.core.webui.keyword.WebUiBuiltInKeywords.click(WebUiBuiltInKeywords.groovy:616)
at com.kms.katalon.core.webui.keyword.WebUiBuiltInKeywords$click$3.call(Unknown Source)
at org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCall(CallSiteArray.java:48)
at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:113)
at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:125)
at Script1534757766969.run(Script1534757766969.groovy:104)
at com.kms.katalon.core.main.ScriptEngine.run(ScriptEngine.java:183)
at com.kms.katalon.core.main.ScriptEngine.runScriptAsRawText(ScriptEngine.java:108)
at com.kms.katalon.core.main.TestCaseExecutor.runScript(TestCaseExecutor.java:294)
at com.kms.katalon.core.main.TestCaseExecutor.doExecute(TestCaseExecutor.java:285)
at com.kms.katalon.core.main.TestCaseExecutor.processExecutionPhase(TestCaseExecutor.java:264)
at com.kms.katalon.core.main.TestCaseExecutor.accessMainPhase(TestCaseExecutor.java:256)
at com.kms.katalon.core.main.TestCaseExecutor.execute(TestCaseExecutor.java:200)
at com.kms.katalon.core.main.TestCaseMain.runTestCase(TestCaseMain.java:99)
at com.kms.katalon.core.main.TestCaseMain.runTestCase(TestCaseMain.java:90)
at com.kms.katalon.core.main.TestCaseMain$runTestCase$0.call(Unknown Source)
at org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCall(CallSiteArray.java:48)
at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:113)
at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:149)
at TempTestCase1538389642179.run(TempTestCase1538389642179.groovy:22)
at groovy.lang.GroovyShell.runScriptOrMainOrTestOrRunnable(GroovyShell.java:263)
at groovy.lang.GroovyShell.run(GroovyShell.java:518)
at groovy.lang.GroovyShell.run(GroovyShell.java:507)
at groovy.ui.GroovyMain.processOnce(GroovyMain.java:653)
at groovy.ui.GroovyMain.run(GroovyMain.java:384)
at groovy.ui.GroovyMain.process(GroovyMain.java:370)
at groovy.ui.GroovyMain.processArgs(GroovyMain.java:129)
at groovy.ui.GroovyMain.main(GroovyMain.java:109)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.codehaus.groovy.tools.GroovyStarter.rootLoader(GroovyStarter.java:109)
at org.codehaus.groovy.tools.GroovyStarter.main(GroovyStarter.java:131)
)

Do you now whats’s the problem?

Actually scenario just click link on body email mailinator


#27

I’m having a similar issue to Angelo Legaspi where Katalon can’t recognize the same object, “android.widget.EditText1 - Password”. I can’t tap on it, I can’t set text, I can’t even use sendKeys after tapping at the position. What can I do to have the test case properly type out the password so I can get my log in, log out script working correctly?


#28

Vinh Nguyen said:

Hi all,

Please use Appium 1.8 in this case. Installation command is:
npm install -g appium@1.8.1.

Appium 1.9 is not supported , that’s why there are errors like that.

Hi,

I am using Version 1.8 only. But I am getting the same error there also.


#29

Hi All,

I am getting the error java.lang.NullPointerException when I am trying to capture object for my mobile app. Versions are given as below :
Katalon Studio : 5.6.3
Appium : 1.8
Java : 1.8.0

Please find the screenshot below :

Can anybody please assist me in this ? Its very much urgent.

Thanks in advance,
Soumya

Katalon1.png


#30

Anyone to help here?


#31

I’m facing the same issue " java.lang.NullPointerException"
When the katalon supported the latest Appium 1.10 atleast ?
Currently I use mojav OS and cannot install the appium with version 1.8.1
What should I do ? please help


#32

Gracias, me ha sido muy útil tu respuesta, saludos.


#33

Hey Any update on this guys? Im getting this error when I use Mobile Recorder.

image


#34

Im using

Katalon V: 5.10.1

Appium V: 1.10.1java -version

Java V: 1.8.0_181


#35

Hi @rogereyes86,

Katalon Studio 5.10.1 only supports Appium 1.8.1 right now. You can downgrade using npm install -g appium@1.8.1.

Hope this helps,

Chris


#36

I am using Katalon 5.10.1 along with Appium 1.8.1 and it has the same error (java.lang.NullPointerException) when executing the recording function in Mobile.
If anyone knows how to get around the problem, help me.

appium.log (47.1 KB)


#37

Hi @Weksley_Santos,

Note that the version of Appium Desktop doesn’t line up with the underlying version of Appium, so you’ll need to get Appium Desktop 1.6.3 (includes Appium 1.8.1) in order to support Katalon Studio 5.10.1:

Try installing that version instead to see if it helps.

– Chris